<?php
include_once('./_common.php');

include_once(AMINA_PATH.'/lib/head.lib.php');

if($_POST['js'] != "on") $move_href = G5_BBS_URL.'/board.php?bo_table='.$bo_table.'&wr_id='.$wr_id.'&page='.$page.$qstr;

function amina_return($error, $success) {
	global $move_href;

	if($move_href) {
		if($success) $error = $success;
		if($error) {
			alert($error, $move_href);
		} else {
		    echo "<script type='text/javascript'> location.replace('$move_href'); </script>";
		    exit;
		}
	} else {
		echo '{ "error": "' . $error . '", "success": "' . $success . '" }';
		exit;
	}
}

if (!$is_member) {
	$error = '회원만 가능합니다.';
	amina_return($error, $success);
}

if (!($bo_table && $wr_id)) {
	$error = '값이 제대로 넘어오지 않았습니다.';
	amina_return($error, $success);
}

$row = sql_fetch(" select count(*) as cnt from {$g5['board_table']} where bo_table = '$bo_table' ", FALSE);
if (!$row['cnt']) {
	$error = '존재하는 게시판이 아닙니다.';
	amina_return($error, $success);
}

if($write['mb_id'] == $member['mb_id']) {
	if($act == "lock") {
		$error = '자신의 글은 잠글 수 없습니다.';
	} else {
		$error = '자신의 글은 신고할 수 없습니다.';
	}
	amina_return($error, $success);
}

if(!$is_admin && is_admin($write['mb_id'])) {
	if($act == "lock") {
		$error = '관리자 글은 잠글 수 없습니다.';
	} else {
		$error = '관리자 글은 신고할 수 없습니다.';
	}
	amina_return($error, $success);
}

//관리자만 가능한 기능
if(!$is_admin) {
	if(!$amina['shingo'] || !is_numeric($amina['shingo']) || $amina['shingo'] < 1) {
		$error = '이 게시판은 신고 기능을 사용하지 않습니다.';
		amina_return($error, $success);
	}

	if(strstr($write['wr_option'], "secret")) {
		$error = '비밀글은 신고할 수 없습니다.';
		amina_return($error, $success);
	}
		
	if(is_admin($write['mb_id'])) {
		$error = '관리자 글은 신고할 수 없습니다.';
		amina_return($error, $success);
	}
	
	if($act) {
		$error = '블라인드글 관리는 관리자만 가능합니다.';
		amina_return($error, $success);
	}
}

//신고 상태 보기
$shingo = trim($write['wr_9']);

$is_response = false;
if($write['wr_is_comment'] == 0) {
	$wr_ment = "[".$board['bo_subject']."] 게시판에 있는 [".$write['wr_subject']."] 제목의 회원님의 글";
	$re_flag = 'shingo';
	$re_type = 0;
	if($aminaRe['shingo']) $is_response = true;
} else {
	//원글 제목 가져오기
	$org = sql_fetch(" select wr_subject from $write_table where wr_id = '{$write['wr_parent']}' ");
	$wr_ment = "[".$board['bo_subject']."] 게시판에 있는 [".$org['wr_subject']."] 제목의 글에 달린 회원님의 댓글";
	$re_flag = 'cmt_shingo';
	$re_type = 1;
	if($aminaRe['cmt_shingo']) $is_response = true;
}

if($act == "lock") {

	if($shingo == "lock") {
		$error = '이미 블라인드 처리하신 글입니다.';
		amina_return($error, $success);
	}
		
	if($shingo == "shingo") {
		$error = '이미 신고누적으로 블라인드 처리된 글입니다.';
		amina_return($error, $success);
	}
	
	//신고카운트 LOCK으로 변경
	sql_query(" update $write_table set wr_9 = 'lock' where wr_id = '$wr_id' ");

	//쪽지
	$send_msg = $wr_ment."이 관리자에 의해 블라인드 처리되었음을 알려드립니다.";

	$success = "관리자 직권으로 블라인드 처리하셨습니다.";

} else if($act == "unlock") {

	//신고카운트 초기화 변경
	sql_query(" update $write_table set wr_9 = '0' where wr_id = '$wr_id' ");

	//기존 신고내역 삭제
	sql_query(" delete from {$g5['amina_blind']} where bo_table = '$bo_table' and wr_id = '$wr_id' ");

	//쪽지
	$send_msg = $wr_ment."에 대한 블라인드 처리가 해제되었음을 알려드립니다.";

	$success = "블라인드 처리를 해제하셨습니다.";

} else {

	if($shingo == "lock") {
		$error = '관리자에 의해 블라인드 처리된 글은 신고할 수 없습니다.';
		amina_return($error, $success);
	}
		
	if($shingo == "shingo") {
		$error = '신고누적으로 블라인드 처리된 글은 신고할 수 없습니다.';
		amina_return($error, $success);
	}
		
	//신고여부
	$sql = " select flag from {$g5['amina_blind']} where bo_table = '$bo_table' and wr_id = '$wr_id' and mb_id = '{$member['mb_id']}' ";
	$row = sql_fetch($sql);
	if($row['flag']) {
		$error = '이미 신고하신 글입니다.';
		amina_return($error, $success);
	} else {
		if($shingo <= 0) $shingo = 0;
		$shingo = $shingo + 1;
		if($shingo >= $amina['shingo']) $shingo = "shingo";

		//신고카운트 증가
		sql_query(" update $write_table set wr_9 = '$shingo' where wr_id = '$wr_id' ");

		//내역 생성
		sql_query(" insert {$g5['amina_blind']} set bo_table = '$bo_table', wr_id = '$wr_id', mb_id = '{$member['mb_id']}', flag = 'shingo', datetime = '".G5_TIME_YMDHIS."', ip = '{$_SERVER['REMOTE_ADDR']}' ");

		//쪽지
		if($shingo == "shingo") {
			$send_msg = $wr_ment."이 신고누적으로 블라인드 처리가 되었음을 알려드립니다.";
		}

		$success = "이 글을 신고하셨습니다.";
	}
}

// 회원 아이디와 메세지가 있으면 쪽지 보내기고 글반응에 추가
if($write['mb_id'] && $send_msg) {
	$recv_id = $write['mb_id']; // 받는 사람 아이디
    $send_id = $config['cf_admin']; // 보내는 사람

	//쪽지 번호 뽑기
    $tmp_row = sql_fetch(" select max(me_id) as max_me_id from {$g5['memo_table']} ");
    $me_id = $tmp_row['max_me_id'] + 1;
        
	// 쪽지 INSERT
    $sql = " insert into {$g5['memo_table']} ( me_id, me_recv_mb_id, me_send_mb_id, me_send_datetime, me_memo ) values ( '$me_id', '$recv_id', '$send_id', '".G5_TIME_YMDHIS."', '$send_msg' ) ";
    sql_query($sql);

	//글반응에 추가
	if($is_response) amina_response($bo_table, $wr_id, $write['wr_subject'], $write['mb_id'], $config['cf_admin'], $config['cf_admin'], $re_flag, $re_type);
}

amina_return($error, $success);

?>